curl --request POST \
--url https://api.nuwebgroup.com/v1/events/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"externalId": "EVT-9232",
"name": "My First Event",
"description": "lorem ipsum dolor sit amet",
"startDate": "2021-11-22 11:59:00",
"endDate": "2021-11-22.11:59:00",
"venueId": "1",
"organiser": {
"name": "John Doe",
"email": "example@example.com",
"phone": "07123456789"
},
"settings": {
"isOnlineOnly": false,
"maxTicketsPerCustomer": false,
"shareTicketsBeforePurchaseEnabled": false,
"shareTicketsAfterPurchaseEnabled": false,
"shareProductsBeforePurchaseEnabled": false,
"shareProductsAfterPurchaseEnabled": false,
"isHidden": false
},
"teamSettings": {
"teamsEnabled": false,
"teamsTerminology": null,
"teamsCustomName": false,
"teamsNameMustBeUnique": false,
"teamsNameIsEditable": false,
"teamsCanJoinUsingCode": false,
"teamsAllowSoloParticipants": false,
"teamsEnforceMinimumSize": false,
"teamsMinimumSize": 1,
"teamsEnforceMaximumSize": false,
"teamsMaximumSize": 10
},
"stream": {
"enabled": true,
"body": "<p>test</p>",
"provider": "youtube",
"url": "https://www.youtube.com/watch?v=9Auq9mYxFEE",
"displayChat": true
},
"tags": [
{
"id": null,
"name": "Tag 1"
},
{
"id": null,
"name": "Tag 2"
}
],
"massUpdates": {
"events": [
2,
3,
4
],
"fields": {
"generic": {
"name": false,
"description": false,
"startDate": false,
"endDate": false,
"venueId": false,
"tags": false,
"organiser": false,
"stream": false
},
"settings": {
"isOnlineOnly": false,
"isHidden": false,
"shareProductsBeforePurchaseEnabled": false,
"shareProductsAfterPurchaseEnabled": false,
"shareTicketsBeforePurchaseEnabled": false,
"shareTicketsAfterPurchaseEnabled": false,
"maxTicketsPerCustomer": false
}
}
}
}
'{
"data": {
"type": "events",
"id": 1,
"attributes": {
"externalId": "EVT-92312",
"name": "My First Event",
"description": "lorem ipsum dolor sit amet",
"startDate": "2021-11-22T11:59:00.000000Z",
"endDate": "2021-11-22T11:59:00.000000Z",
"activatedAt": null,
"organiserName": "John Doe",
"organiserEmail": "example@example.com",
"organiserPhone": "07123456789",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z",
"totalEventCapacity": 250,
"remainingEventCapacity": 241,
"totalTicketCapacity": 25,
"remainingTicketCapacity": 21,
"totalProductCapacity": 25,
"remainingProductCapacity": 23,
"totalGuestListCapacity": 25,
"remainingGuestListCapacity": 22,
"offSale": true,
"isHidden": false,
"isPublished": true,
"isCancelled": true,
"thumbnail": null,
"hasMandatoryDataCapture": false,
"hasOptionalDataCapture": false,
"hasNoDataCapture": true,
"hasTimeslots": false,
"hasLiveStream": false,
"hasGroups": false
},
"relationships": {
"eventSettings": {
"data": {
"type": "eventSettings",
"id": 2
}
},
"eventStreams": {
"data": {
"type": "eventStreams",
"id": 2
}
},
"tags": {
"data": [
{
"type": "tags",
"id": 1
},
{
"type": "tags",
"id": 2
}
]
},
"venues": {
"data": {
"type": "venues",
"id": 1
}
}
},
"links": {
"self": "http://api.kerluke.com/v1/event?id=1"
}
},
"included": [
{
"type": "cities",
"id": 1,
"attributes": {
"name": "eos",
"region": null
}
},
{
"type": "eventSettings",
"id": 2,
"attributes": {
"maxTicketsPerCustomer": 0,
"isOnlineOnly": false,
"shareTicketsBeforePurchaseEnabled": 0,
"shareTicketsAfterPurchaseEnabled": 0,
"shareProductsBeforePurchaseEnabled": 0,
"shareProductsAfterPurchaseEnabled": 0,
"isHidden": 0,
"offSaleAt": null,
"pageSubheading": "",
"pageDisplayDate": true,
"pageDisplayLocation": true,
"teamsEnabled": false,
"teamsTerminology": null,
"teamsCustomName": false,
"teamsNameMustBeUnique": false,
"teamsNameIsEditable": false,
"teamsCanJoinUsingCode": false,
"teamsAllowSoloParticipants": false,
"teamsEnforceMinimumSize": false,
"teamsMinimumSize": 1,
"teamsEnforceMaximumSize": false,
"teamsMaximumSize": 10,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "eventStreams",
"id": 2,
"attributes": {
"enabled": true,
"body": "<p>test</p>",
"provider": "youtube",
"url": "https://www.youtube.com/watch?v=9Auq9mYxFEE",
"urlStream": "https://www.youtube.com/embed/9Auq9mYxFEE?rel=0&showinfo=0&color=white&iv_load_policy=3",
"urlChat": "https://www.youtube.com/live_chat?v=9Auq9mYxFEE&embed_domain=ut.konopelski.com",
"displayChat": true,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "tags",
"id": 1,
"attributes": {
"name": "Tag 1",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "tags",
"id": 2,
"attributes": {
"name": "Tag 2",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "venues",
"id": 1,
"attributes": {
"address": "643 Malika Knolls",
"region": null,
"name": "inventore et",
"postcode": "98141",
"latitude": "51.41833890",
"longitude": "-0.22062880",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
},
"relationships": {
"cities": {
"data": {
"type": "cities",
"id": 1
}
}
}
}
],
"successfulEventMassUpdates": []
}Update an existing event.
curl --request POST \
--url https://api.nuwebgroup.com/v1/events/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"externalId": "EVT-9232",
"name": "My First Event",
"description": "lorem ipsum dolor sit amet",
"startDate": "2021-11-22 11:59:00",
"endDate": "2021-11-22.11:59:00",
"venueId": "1",
"organiser": {
"name": "John Doe",
"email": "example@example.com",
"phone": "07123456789"
},
"settings": {
"isOnlineOnly": false,
"maxTicketsPerCustomer": false,
"shareTicketsBeforePurchaseEnabled": false,
"shareTicketsAfterPurchaseEnabled": false,
"shareProductsBeforePurchaseEnabled": false,
"shareProductsAfterPurchaseEnabled": false,
"isHidden": false
},
"teamSettings": {
"teamsEnabled": false,
"teamsTerminology": null,
"teamsCustomName": false,
"teamsNameMustBeUnique": false,
"teamsNameIsEditable": false,
"teamsCanJoinUsingCode": false,
"teamsAllowSoloParticipants": false,
"teamsEnforceMinimumSize": false,
"teamsMinimumSize": 1,
"teamsEnforceMaximumSize": false,
"teamsMaximumSize": 10
},
"stream": {
"enabled": true,
"body": "<p>test</p>",
"provider": "youtube",
"url": "https://www.youtube.com/watch?v=9Auq9mYxFEE",
"displayChat": true
},
"tags": [
{
"id": null,
"name": "Tag 1"
},
{
"id": null,
"name": "Tag 2"
}
],
"massUpdates": {
"events": [
2,
3,
4
],
"fields": {
"generic": {
"name": false,
"description": false,
"startDate": false,
"endDate": false,
"venueId": false,
"tags": false,
"organiser": false,
"stream": false
},
"settings": {
"isOnlineOnly": false,
"isHidden": false,
"shareProductsBeforePurchaseEnabled": false,
"shareProductsAfterPurchaseEnabled": false,
"shareTicketsBeforePurchaseEnabled": false,
"shareTicketsAfterPurchaseEnabled": false,
"maxTicketsPerCustomer": false
}
}
}
}
'{
"data": {
"type": "events",
"id": 1,
"attributes": {
"externalId": "EVT-92312",
"name": "My First Event",
"description": "lorem ipsum dolor sit amet",
"startDate": "2021-11-22T11:59:00.000000Z",
"endDate": "2021-11-22T11:59:00.000000Z",
"activatedAt": null,
"organiserName": "John Doe",
"organiserEmail": "example@example.com",
"organiserPhone": "07123456789",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z",
"totalEventCapacity": 250,
"remainingEventCapacity": 241,
"totalTicketCapacity": 25,
"remainingTicketCapacity": 21,
"totalProductCapacity": 25,
"remainingProductCapacity": 23,
"totalGuestListCapacity": 25,
"remainingGuestListCapacity": 22,
"offSale": true,
"isHidden": false,
"isPublished": true,
"isCancelled": true,
"thumbnail": null,
"hasMandatoryDataCapture": false,
"hasOptionalDataCapture": false,
"hasNoDataCapture": true,
"hasTimeslots": false,
"hasLiveStream": false,
"hasGroups": false
},
"relationships": {
"eventSettings": {
"data": {
"type": "eventSettings",
"id": 2
}
},
"eventStreams": {
"data": {
"type": "eventStreams",
"id": 2
}
},
"tags": {
"data": [
{
"type": "tags",
"id": 1
},
{
"type": "tags",
"id": 2
}
]
},
"venues": {
"data": {
"type": "venues",
"id": 1
}
}
},
"links": {
"self": "http://api.kerluke.com/v1/event?id=1"
}
},
"included": [
{
"type": "cities",
"id": 1,
"attributes": {
"name": "eos",
"region": null
}
},
{
"type": "eventSettings",
"id": 2,
"attributes": {
"maxTicketsPerCustomer": 0,
"isOnlineOnly": false,
"shareTicketsBeforePurchaseEnabled": 0,
"shareTicketsAfterPurchaseEnabled": 0,
"shareProductsBeforePurchaseEnabled": 0,
"shareProductsAfterPurchaseEnabled": 0,
"isHidden": 0,
"offSaleAt": null,
"pageSubheading": "",
"pageDisplayDate": true,
"pageDisplayLocation": true,
"teamsEnabled": false,
"teamsTerminology": null,
"teamsCustomName": false,
"teamsNameMustBeUnique": false,
"teamsNameIsEditable": false,
"teamsCanJoinUsingCode": false,
"teamsAllowSoloParticipants": false,
"teamsEnforceMinimumSize": false,
"teamsMinimumSize": 1,
"teamsEnforceMaximumSize": false,
"teamsMaximumSize": 10,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "eventStreams",
"id": 2,
"attributes": {
"enabled": true,
"body": "<p>test</p>",
"provider": "youtube",
"url": "https://www.youtube.com/watch?v=9Auq9mYxFEE",
"urlStream": "https://www.youtube.com/embed/9Auq9mYxFEE?rel=0&showinfo=0&color=white&iv_load_policy=3",
"urlChat": "https://www.youtube.com/live_chat?v=9Auq9mYxFEE&embed_domain=ut.konopelski.com",
"displayChat": true,
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "tags",
"id": 1,
"attributes": {
"name": "Tag 1",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "tags",
"id": 2,
"attributes": {
"name": "Tag 2",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
}
},
{
"type": "venues",
"id": 1,
"attributes": {
"address": "643 Malika Knolls",
"region": null,
"name": "inventore et",
"postcode": "98141",
"latitude": "51.41833890",
"longitude": "-0.22062880",
"createdAt": "2021-11-22T11:59:00.000000Z",
"updatedAt": "2021-11-22T11:59:00.000000Z"
},
"relationships": {
"cities": {
"data": {
"type": "cities",
"id": 1
}
}
}
}
],
"successfulEventMassUpdates": []
}Documentation Index
Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt
Use this file to discover all available pages before exploring further.
The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.
The ID of the company this operation should be performed against.
Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.
Request body for updating an event.
The event ID (required)
Pass a venue payload to update the event's venue. This will create a new venue, and requires you to have the relevant venue permissions. This value will take presidence over venueId.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
An array of tag objects, containing either IDs of existing tags or names of new tags.
Show child attributes
Allows you to mass update the fields of different existing events to match the values of this event that is being updated.
Show child attributes